Bug 1640197

Summary: Missing dep on git-email package
Product: [Fedora] Fedora Reporter: Daniel BerrangĂ© <berrange>
Component: git-publishAssignee: Stefan Hajnoczi <stefanha>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: stefanha
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: git-publish-1.4.4-4.fc28 git-publish-1.4.4-4.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-10 03:29:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Daniel Berrangé 2018-10-17 14:15:13 UTC
Description of problem:
I installed the git-publish RPM and then ran it. It failed due to missing git-email command, which was due to a missing RPM dep

Version-Release number of selected component (if applicable):
git-publish-1.4.3-1.fc28.noarch

How reproducible:
If git-email is not already installed

Steps to Reproduce:
1. sudo dnf install git-publish
2. git-publish


Actual results:

[c] Edit Cc list in editor (save after edit)
[t] Edit To list in editor (save after edit)
[e] Edit patches in editor
[s] Select patches to send (default: all)
[p] Print final email headers (dry run)
[a] Send all
[q] Cancel (quit)
a
git: 'send-email' is not a git command. See 'git --help'.

Comment 1 Fedora Update System 2018-10-29 09:20:09 UTC
git-publish-1.4.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7a52f40459

Comment 2 Fedora Update System 2018-10-29 10:26:29 UTC
git-publish-1.4.4-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5841b6f69

Comment 3 Fedora Update System 2018-10-31 17:30:02 UTC
git-publish-1.4.4-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5841b6f69

Comment 4 Fedora Update System 2018-10-31 17:40:26 UTC
git-publish-1.4.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7a52f40459

Comment 5 Fedora Update System 2018-11-10 03:29:11 UTC
git-publish-1.4.4-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-11-16 01:03:54 UTC
git-publish-1.4.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.